Package org.eclipse.lemminx.services.extensions.codeaction

## Interface ICodeActionRequest

All Superinterfaces:
  `IBaseCodeActionRequest`, `IComponentProvider`

All Known Implementing Classes:
  `CodeActionRequest`

    public interface ICodeActionRequest
    extends IBaseCodeActionRequest

Code action request API.

Author:
  Angelo ZERR

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`default boolean` `canSupportResolve()` Returns true if the client can supportcodeAction/resolve and false otherwise.
`org.eclipse.lsp4j.Diagnostic` `getDiagnostic()` Returns the diagnostic.
`org.eclipse.lsp4j.Range` `getRange()` Returns the code action range.
`XMLGenerator` `getXMLGenerator()`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.IBaseCodeActionRequest

`getDocument, getSharedSettings`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.IComponentProvider

`getComponent`

### Method Detail

#### getDiagnostic

    org.eclipse.lsp4j.Diagnostic getDiagnostic()

Returns the diagnostic.

Returns:
  the diagnostic.

#### getRange

    org.eclipse.lsp4j.Range getRange()

Returns the code action range.

Returns:
  the code action range.

#### getXMLGenerator

    XMLGenerator getXMLGenerator()
                          throws BadLocationException

Throws:
  `BadLocationException`

#### canSupportResolve

    default boolean canSupportResolve()

Returns true if the client can supportcodeAction/resolve and false otherwise.

Returns:
  true if the client can supportcodeAction/resolve and false otherwise.